Entity (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.annotations
Annotation Type Entity

Deprecated. See individual attributes for intended replacements. To be removed in 4.1

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    @Deprecated
    public @interface Entity

Extends `Entity` with Hibernate features

Optional Element Summary
`boolean` | `dynamicInsert` Deprecated. use `DynamicInsert` instead
`boolean` | `dynamicUpdate` Deprecated. Use `DynamicUpdate` instead
`boolean` | `mutable` Deprecated. use `Immutable`
`OptimisticLockType` | `optimisticLock` Deprecated. use `OptimisticLocking` instead.
`String` | `persister` Deprecated. use `Persister` instead
`PolymorphismType` | `polymorphism` Deprecated. use `Polymorphism` instead
`boolean` | `selectBeforeUpdate` Deprecated. Use `SelectBeforeUpdate` instead

### mutable

    public abstract boolean mutable

  Deprecated. use `Immutable`

  Is this entity mutable (read only) or not

  Default:
    true

### dynamicInsert

    public abstract boolean dynamicInsert

  Deprecated. use `DynamicInsert` instead

  Needed column only in SQL on insert

  Default:
    false

### dynamicUpdate

    public abstract boolean dynamicUpdate

  Deprecated. Use `DynamicUpdate` instead

  Needed column only in SQL on update

  Default:
    false

### selectBeforeUpdate

    public abstract boolean selectBeforeUpdate

  Deprecated. Use `SelectBeforeUpdate` instead

  Do a select to retrieve the entity before any potential update

  Default:
    false

### polymorphism

    public abstract PolymorphismType polymorphism

  Deprecated. use `Polymorphism` instead

  polymorphism strategy for this entity

  Default:
    org.hibernate.annotations.PolymorphismType.IMPLICIT

### optimisticLock

    public abstract OptimisticLockType optimisticLock

  Deprecated. use `OptimisticLocking` instead.

  optimistic locking strategy

  Default:
    org.hibernate.annotations.OptimisticLockType.VERSION

### persister

    public abstract String persister

  Deprecated. use `Persister` instead

  persister of this entity, default is hibernate internal one

  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.